/* 
   sitecopy, remote web site copy manager.
   Copyright (C) 1998, Joe Orton <joe@orton.demon.co.uk>
                                                                     
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef CONSOLE_FE_H
#define CONSOLE_FE_H

#include <sys/types.h>
#include <stdio.h>

#include "common.h"

void init( int, char ** );
int main( int, char ** );
void usage( );

void printq( int q, char *template, ...);


enum action_t {
    action_none,
    action_list,
    action_resync,
    action_update,
    action_catchup,
    action_init,
    action_view
};

#endif /* CONSOLE_FE_H */

